API Documentation
Toggle TOC panel
<access-service>/api/v1/items/{itemId}

URL structure

1 https://access-service.xy-company.com/api/v1/items/{itemId}

where {itemId} is the ID of a Secure Object or collection.

Supported methods and overview

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves information about a Secure Object or collection, using this item's ID.

The item's ID can be obtained by calling the <access-service>/api/v1/items API endpoint, which retrieves a list of information associated with Secure Objects and collections that can be filtered using various 'search' criteria.

Supported roles and conditions

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide) and conditions:

  • Originator - a Covata user with this role can call this endpoint on an item they own.
  • Originator, Collaborator and Ad hoc - a Covata user with any of these roles can call this endpoint on an item they are a collaborator on.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing an array of elements, each of which contains the following members:

  • id - .
  • name - .
  • sha512 - .
  • owner - .
    • email - .
    • firstName - .
    • lastName - .
    • id - .
  • hasView - .
  • canGenerateView - .
  • modifiedAt - .
  • createdAt - .
  • originator - .
    • email - .
    • id - .
  • labelName - .
  • shared - .
  • parentId - .
  • type - .
  • labelId - .
  • collaborators - .
    • shareStartTime - .
    • shareEndTime - .
    • shareParentId - .
    • shareName - .
    • email - .
    • firstName - .
    • lastName - .
    • id - .
  • state - .

    Example (response from ...):